Bug 1321332 - BPMN2 Modeler: unable to input more than 255 characters in text area
Summary: BPMN2 Modeler: unable to input more than 255 characters in text area
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Jozef Marko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-25 15:12 UTC by Hiroko Miura
Modified: 2020-03-27 19:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:13:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 483689 None None None 2016-04-11 08:04:43 UTC

Description Hiroko Miura 2016-03-25 15:12:25 UTC
Description of problem:
In Diagram Editor, 
unable to input more than 255 characters in text area, such as script field of Script Task and  condition field of sequence flow,

This happens with JBDS installed on Windows.
This does not happen with JBDS installed on Linux.

Version-Release number of selected component (if applicable):
JBDS 8.0.1 / BPMN2 Modeler - Diagram Editor 1.1.4.201510212019	
JBDS 9.0.0 / BPMN2 Modeler - Diagram Editor 1.2.1.201509111741(Early Access)	


How reproducible:

use JBDS8/JBDS9 with the latest integration stack on Windows 
(confirmed on Windows7/8)


Steps to Reproduce:
1. create script task and input more than 255 characters in script field
2.
3.

Actual results:

unable to input more than 255 characters

Expected results:

able to input more than 255 characters


Additional info:

The following limitation was introduced for test field.
https://www.eclipse.org/bpmn2-modeler/whatsnew/whatsnew-1.1.2.php
---
 A new User Preference has been added to the Editor Behavior preference page, which allows Text fields to be limited to a maximum length. The default is 255 characters. Note that Multiline text boxes, such as those used for Documentation and Scripts, are not subject to this limit. 
---

But this seems to  be applied for test area unexpectedly only on Windows.

Therefore, workaround is to set 'Maximum text field length' to 0 via
menu Window -> Preferences -> BPMN2 -> Editor -> Behavior


Note You need to log in before you can comment on or make changes to this bug.